## org.apache.hadoop.io
Class DoubleWritable

    java.lang.Object
      org.apache.hadoop.io.DoubleWritable

All Implemented Interfaces:
  Comparable, Writable, WritableComparable

    public class DoubleWritable

extends Object
implements WritableComparable

Writable for Double values.

Nested Class Summary
`static class` `DoubleWritable.Comparator` A Comparator optimized for DoubleWritable.

Constructor Summary
`DoubleWritable()`
`DoubleWritable(double value)`

Method Summary
`int` `compareTo(Object o)`
`boolean` `equals(Object o)` Returns true iff `o` is a DoubleWritable with the same value.
`double` `get()`
`int` `hashCode()`
`void` `readFields(DataInput in)` Deserialize the fields of this object from `in`.
`void` `set(double value)`
`String` `toString()`
`void` `write(DataOutput out)` Serialize the fields of this object to `out`.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DoubleWritable

    public DoubleWritable()

### DoubleWritable

    public DoubleWritable(double value)

Method Detail

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Description copied from interface: `Writable`
  Deserialize the fields of this object from `in`.

  For efficiency, implementations should attempt to re-use storage in the existing object where possible.

  Specified by:
    `readFields` in interface `Writable`
  Parameters:
    `in` - `DataInput` to deseriablize this object from.
  Throws:
    `IOException`

### write

    public void write(DataOutput out)
               throws IOException

  Description copied from interface: `Writable`
  Serialize the fields of this object to `out`.

  Specified by:
    `write` in interface `Writable`
  Parameters:
    `out` - `DataOuput` to serialize this object into.
  Throws:
    `IOException`

### set

    public void set(double value)

### get

    public double get()

### equals

    public boolean equals(Object o)

  Returns true iff `o` is a DoubleWritable with the same value.

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009 The Apache Software Foundation